## fcitx5-skk 5.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)
project(fcitx5-skk VERSION 5.0.4)

find_package(ECM 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH}) 
option(ENABLE_QT "Enable Qt for GUI configuration" On)

include(ECMUninstallTarget)
include(FeatureSummary)

find_package(PkgConfig REQUIRED)
find_package(Fcitx5Core REQUIRED)
find_package(Gettext REQUIRED)
pkg_check_modules(GObject2 IMPORTED_TARGET "gobject-2.0" REQUIRED)
find_package(LibSKK REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

set(SKK_DEFAULT_PATH "/usr/share/skk/SKK-JISYO.L" CACHE STRING "Default path of SKK")

include(GNUInstallDirs)

if (ENABLE_QT)
find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
endif ()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
  IMMEDIATE @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-skk\" -D_GNU_SOURCE)
fcitx5_add_i18n_definition()


add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(gui)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Skk.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Skk.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Skk.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===

set(SKK_SOURCES
    skk.cpp
)
add_library(skk MODULE ${SKK_SOURCES})
target_link_libraries(skk
    Fcitx5::Core
    Fcitx5::Config
    PkgConfig::GObject2
    LibSKK::LibSKK
)
set_target_properties(skk PROPERTIES PREFIX "")
install(TARGETS skk DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(skk.conf.in skk.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/skk.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
fcitx5_translate_desktop_file(skk-addon.conf.in skk-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/skk-addon.conf" RENAME skk.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dictionary_list.in ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list DESTINATION "${FCITX_INSTALL_PKGDATADIR}/skk")

=== debian/changelog ===
fcitx5-skk (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 22:37:44 +0800

fcitx5-skk (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 02:57:53 +0800

fcitx5-skk (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Only install icons with org.fcitx.Fcitx5 prefix
  * Bump fcitx5 to 5.0.2
  * Drop fcitx5 Depends from fcitx5-skk.
    Make it consistent with other fcitx5 methods

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 23:10:54 +0800

fcitx5-skk (5.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * debian/: Add missing build-dep
  * fcitx5-skk: Depends on skkdic

  [ Shengjing Zhu ]
  * New upstream release
  * Bump fcitx5 to 5.0.0
  * Rename icon to fcitx5-skk (Closes: #970138)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 22:45:49 +0800

fcitx5-skk (0.0~git20200615.d13e190-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 06:53:39 -0400

=== debian/control ===
Source: fcitx5-skk
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.4),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5-qt-dev (>= 5.0.0),
 libfcitx5core-dev (>= 5.0.2),
 libskk-dev,
 pkg-config,
 qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/fcitx/fcitx5-skk
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk

Package: fcitx5-skk
Architecture: any
Multi-Arch: same
Depends:
 skkdic,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 skkdic-extra,
Description: Japanese SKK input engine for Fcitx5
 This package provides Japanese SKK input method engine for Fcitx5,
 which uses libskk as its backend.
 .
 SKK stands for 'Simple Kana to Kanji conversion program'.
 It provide Japanese input method which convert hiragana text to kanji text.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

execute_after_dh_auto_install:
	find debian/ -name 'fcitx-*png' -print -delete

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-skk \
  refs/tags/@ANY_VERSION@ debian

## fcitx5-skk 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.4.0)
-project(fcitx5-skk VERSION 5.0.4)
+project(fcitx5-skk VERSION 5.0.10)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH}) 
@@ -9,7 +9,7 @@
 include(FeatureSummary)
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core REQUIRED)
+find_package(Fcitx5Core 5.0.6 REQUIRED)
 find_package(Gettext REQUIRED)
 pkg_check_modules(GObject2 IMPORTED_TARGET "gobject-2.0" REQUIRED)
 find_package(LibSKK REQUIRED)

=== gui/CMakeLists.txt ===
set(SKK_CONFIG_SRCS
  main.cpp
  dictwidget.cpp
  adddictdialog.cpp
  dictmodel.cpp
  )

if(NOT ENABLE_QT)
  return()
endif()

add_library(fcitx5-skk-config
  MODULE ${SKK_CONFIG_SRCS})

set_target_properties(fcitx5-skk-config PROPERTIES
                      AUTOMOC TRUE
                      AUTOUIC TRUE
                      AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_link_libraries(fcitx5-skk-config
  Qt5::Core
  Qt5::Widgets
  Fcitx5Qt5::WidgetsAddons
  Fcitx5::Utils
  PkgConfig::GObject2
  LibSKK::LibSKK
  )

install(TARGETS fcitx5-skk-config DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== debian/changelog ===
fcitx5-skk (5.0.10-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Feb 2022 23:50:29 -0500

fcitx5-skk (5.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Drop icon-related patch:
    + debian/control: Mark binary package to conflict with fcitx-skk.
    + debian/rules: Do not delete non-Flatpak icons.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 11:13:56 -0500

fcitx5-skk (5.0.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Monitor upstream signed tarball.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Oct 2021 11:37:27 -0400

fcitx5-skk (5.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 03:19:25 +0800

fcitx5-skk (5.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 14:14:36 +0800

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/fcitx/fcitx5-skk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk
@@ -30,6 +30,8 @@
  ${shlibs:Depends},
 Recommends:
  skkdic-extra,
+Conflicts:
+ fcitx-skk,
 Description: Japanese SKK input engine for Fcitx5
  This package provides Japanese SKK input method engine for Fcitx5,
  which uses libskk as its backend.

## fcitx5-skk 5.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.4.0)
-project(fcitx5-skk VERSION 5.0.10)
+project(fcitx5-skk VERSION 5.0.11)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-skk (5.0.11-1deepin0) unstable; urgency=medium

  [ Debian Input Method Team ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:53 +0800

fcitx5-skk (5.0.11-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:38:27 -0400

## fcitx5-skk 5.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.4.0)
-project(fcitx5-skk VERSION 5.0.11)
+project(fcitx5-skk VERSION 5.0.13)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-skk (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 15:13:39 -0400

fcitx5-skk (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:25:02 -0400

## fcitx5-skk 5.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.4.0)
-project(fcitx5-skk VERSION 5.0.13)
+project(fcitx5-skk VERSION 5.0.14)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-skk (5.0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 15:01:32 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fcitx/fcitx5-skk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

## fcitx5-skk 5.0.15

=== debian/changelog ===
fcitx5-skk (5.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Jun 2023 20:43:12 -0400

## fcitx5-skk 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.4.0)
-project(fcitx5-skk VERSION 5.0.14)
+project(fcitx5-skk VERSION 5.1.0)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-skk (5.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

  [ Boyuan Yang ]
  * debian/copyright: Update information using SPDX identifier.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 15:20:59 -0400

fcitx5-skk (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 14:56:49 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-skk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk

## fcitx5-skk 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
-cmake_minimum_required(VERSION 3.4.0)
-project(fcitx5-skk VERSION 5.1.0)
+cmake_minimum_required(VERSION 3.6.0)
+project(fcitx5-skk VERSION 5.1.1)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH}) 
 option(ENABLE_QT "Enable Qt for GUI configuration" On)
+option(USE_QT6 "Build against Qt6" Off)
 
 include(ECMUninstallTarget)
 include(FeatureSummary)
@@ -21,9 +22,15 @@
 include(GNUInstallDirs)
 
 if (ENABLE_QT)
-find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
-find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
-endif ()
+if (USE_QT6)
+    set(QT_MAJOR_VERSION 6)
+    find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
+else()
+    set(QT_MAJOR_VERSION 5)
+    find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
+endif()
+find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
+endif()
 
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
   "${CMAKE_CURRENT_BINARY_DIR}/config.h"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,8 @@
 install(TARGETS skk DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(skk.conf.in skk.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/skk.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
-fcitx5_translate_desktop_file(skk-addon.conf.in skk-addon.conf)
+configure_file(skk-addon.conf.in.in skk-addon.conf.in)
+fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/skk-addon.conf.in" skk-addon.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/skk-addon.conf" RENAME skk.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dictionary_list.in ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list @ONLY)

=== debian/changelog ===
fcitx5-skk (5.1.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:59 +1100

fcitx5-skk (5.1.1-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:21:31 +0000

fcitx5-skk (5.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:19:54 +0000

fcitx5-skk (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 16:10:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fcitx5-skk
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  appstream,
- cmake (>= 3.4),
+ cmake (>= 3.6),
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,

## fcitx5-skk 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-skk VERSION 5.1.1)
+project(fcitx5-skk VERSION 5.1.4)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH}) 
 option(ENABLE_QT "Enable Qt for GUI configuration" On)
-option(USE_QT6 "Build against Qt6" Off)
+option(USE_QT6 "Build against Qt6" On)
 
 include(ECMUninstallTarget)
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-skk (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:54:50 -0400

fcitx5-skk (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:41:53 -0400

fcitx5-skk (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:38:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-skk
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,9 @@
 
 %:
 	dh $@
+
+
+# Re-enable after Plasma 6.x is packaged
+override_dh_auto_configure:
+	dh_auto_configure -- -DUSE_QT6=Off
+

## fcitx5-skk 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-skk VERSION 5.1.4)
+project(fcitx5-skk VERSION 5.1.5)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-skk (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:47:10 -0400

## fcitx5-skk 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-skk VERSION 5.1.5)
+project(fcitx5-skk VERSION 5.1.6)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH}) 
 option(ENABLE_QT "Enable Qt for GUI configuration" On)
@@ -10,7 +11,7 @@
 include(FeatureSummary)
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core 5.0.6 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Gettext REQUIRED)
 pkg_check_modules(GObject2 IMPORTED_TARGET "gobject-2.0" REQUIRED)
 find_package(LibSKK REQUIRED)

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-skk)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 set(SKK_SOURCES
     skk.cpp
 )
-add_library(skk MODULE ${SKK_SOURCES})
+add_fcitx5_addon(skk ${SKK_SOURCES})
 target_link_libraries(skk
     Fcitx5::Core
     Fcitx5::Config

=== debian/changelog ===
fcitx5-skk (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Switch to Qt6.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Jan 2025 21:37:24 -0500

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5-qt-dev (>= 5.0.0),
- libfcitx5core-dev (>= 5.0.2),
+ libfcitx5-qt6-dev,
+ libfcitx5core-dev (>= 5.1.12),
  libskk-dev,
- pkg-config,
- qtbase5-dev,
+ pkgconf,
+ qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-skk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk

## fcitx5-skk 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-skk VERSION 5.1.6)
+project(fcitx5-skk VERSION 5.1.7)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH}) 
 option(ENABLE_QT "Enable Qt for GUI configuration" On)
-option(USE_QT6 "Build against Qt6" On)
 
 include(ECMUninstallTarget)
 include(FeatureSummary)
@@ -16,6 +15,10 @@
 pkg_check_modules(GObject2 IMPORTED_TARGET "gobject-2.0" REQUIRED)
 find_package(LibSKK REQUIRED)
 
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 
 set(SKK_DEFAULT_PATH "/usr/share/skk/SKK-JISYO.L" CACHE STRING "Default path of SKK")
@@ -23,14 +26,9 @@
 include(GNUInstallDirs)
 
 if (ENABLE_QT)
-if (USE_QT6)
-    set(QT_MAJOR_VERSION 6)
-    find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
-else()
-    set(QT_MAJOR_VERSION 5)
-    find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
-endif()
-find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
+  set(QT_MAJOR_VERSION 6)
+  find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
+  find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
 endif()
 
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"

=== debian/changelog ===
fcitx5-skk (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 10:19:25 -0400

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  extra-cmake-modules,
  gettext,
  libfcitx5-qt6-dev,
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5core-dev (>= 5.1.13),
  libskk-dev,
  pkgconf,
  qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-skk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk

## fcitx5-skk 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-skk VERSION 5.1.7)
+project(fcitx5-skk VERSION 5.1.8)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
@@ -36,6 +36,7 @@
   IMMEDIATE @ONLY)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-skk\" -D_GNU_SOURCE)
+add_definitions(-DQT_NO_KEYWORDS)
 fcitx5_add_i18n_definition()

=== data/CMakeLists.txt ===
install(DIRECTORY 16x16 22x22 24x24 48x48 64x64 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -18,12 +18,12 @@
                       AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
 )
 target_link_libraries(fcitx5-skk-config
-  Qt5::Core
-  Qt5::Widgets
-  Fcitx5Qt5::WidgetsAddons
+  Qt${QT_MAJOR_VERSION}::Core
+  Qt${QT_MAJOR_VERSION}::Widgets
+  Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons
   Fcitx5::Utils
   PkgConfig::GObject2
   LibSKK::LibSKK
   )
 
-install(TARGETS fcitx5-skk-config DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)
+install(TARGETS fcitx5-skk-config DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt${QT_MAJOR_VERSION})

=== debian/changelog ===
fcitx5-skk (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Nov 2025 15:09:00 -0500

fcitx5-skk (5.1.7-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:49:11 -0400

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5-qt6-dev,
- libfcitx5core-dev (>= 5.1.13),
+ libfcitx5-qt6-dev (>= 5.1.10-3~),
+ libfcitx5core-dev (>= 5.1.14-4~),
  libskk-dev,
  pkgconf,
  qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-skk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-skk/ \
 fcitx5-skk-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## fcitx5-skk 5.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-skk VERSION 5.1.8)
+project(fcitx5-skk VERSION 5.1.9)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
@@ -21,7 +21,10 @@
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 
-set(SKK_DEFAULT_PATH "/usr/share/skk/SKK-JISYO.L" CACHE STRING "Default path of SKK")
+set(SKK_PATH "/usr/share/skk" CACHE STRING "Default path of SKK directory that contains SKK-JISYO.L, could start with \"\$XDG_DATA_DIRS\"")
+if(NOT ("${SKK_DEFAULT_PATH}" STREQUAL ""))
+    message(FATAL_ERROR "SKK_DEFAULT_PATH option is removed and replaced with SKK_PATH, they have different meaning (file vs directory). Please adjust the config option accordingly.")
+endif()
 
 include(GNUInstallDirs)

=== debian/changelog ===
fcitx5-skk (5.1.9-3) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Feb 2026 15:08:37 -0500

fcitx5-skk (5.1.9-3~exp1) experimental; urgency=medium

  * debian/patches/4db0c8bf8f0d1554314fe2ac571364a246cfc7b1.patch:
    Add patch to fix build against libskk 1.1.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Feb 2026 10:08:09 -0500

fcitx5-skk (5.1.9-2) unstable; urgency=medium

  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 19:49:26 -0500

fcitx5-skk (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 14:55:33 -0500

=== debian/control ===
Source: fcitx5-skk
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.6),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5-qt6-dev (>= 5.1.10-3~),
 libfcitx5core-dev (>= 5.1.14-4~),
 libskk-dev (>= 1.1.0+repack),
 libgee-0.8-dev,
 pkgconf,
 qt6-base-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/fcitx/fcitx5-skk
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-skk.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-skk
Description: Japanese SKK input engine for Fcitx5
 This package provides Japanese SKK input method engine for Fcitx5,
 which uses libskk as its backend.
 .
 SKK stands for 'Simple Kana to Kanji conversion program'.
 It provide Japanese input method which convert hiragana text to kanji text.

Package: fcitx5-skk
Architecture: any
Multi-Arch: same
Depends:
 skkdic,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 skkdic-extra,
Conflicts:
 fcitx-skk,
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
Version: 5

Source: https://download.fcitx-im.org/fcitx5/fcitx5-skk/
Matching-Pattern: fcitx5-skk-@ANY_VERSION@@ARCHIVE_EXT@
Pgpmode: auto
Update-Script: uupdate
